Bug 809565 - Cannot change DNS name without recreating it
Cannot change DNS name without recreating it
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 12:27 EDT by Dmitri Pal
Modified: 2015-05-20 11:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: DNS records cannot be renamed. Consequence: Administator needs to re-enter all DNS records under certain name when the name changes. Fix: Allow rename operation for DNS record name. Result: Administrator may use --rename option in Identity Management CLI interface to rename a DNS name and all its records to other name within the same zone.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:10:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-04-03 12:27:11 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2600

There is no option for ipa dnsrecord-mod to change idnsName attribure and rename whole existing name with all records. In real BIND it is trivial operation, if you follows zone style guide.

Currently you have to delete whole name, recreate it and re-add all records.

Same problem exists in WebUI.

See how simple it is at http://tools.ietf.org/html/rfc1912 section 3.2 :-D
Comment 1 Martin Kosek 2012-05-31 06:47:39 EDT
Fixed upstream:
master: https://fedorahosted.org/freeipa/changeset/5b465811ce15e26d4c05c589601eebee1b9e984d

Users can now rename DNS records with "dnsrecord-mod ZONE RECORD --rename NEWRECORD"
Comment 2 Jenny Galipeau 2012-09-25 11:55:23 EDT
automated regression test in DNS test suite
Comment 4 Namita Soman 2012-11-27 01:18:13 EST
Verified using ipa-server-3.0.0-8.el6.x86_64

Verified using steps:

# ipa dnszone-add --name-server=ivanova.testrelm.com. one
Administrator e-mail address [hostmaster.one.]: 
  Zone name: one
  Authoritative nameserver: ivanova.testrelm.com.
  Administrator e-mail address: hostmaster.one.
  SOA serial: 1367705625
  SOA refresh: 3600
  SOA retry: 900
  SOA expire: 1209600
  SOA minimum: 3600
  BIND update policy: grant TESTRELM.COM krb5-self * A; grant TESTRELM.COM krb5-self * AAAA; grant TESTRELM.COM krb5-self * SSHFP;
  Active zone: TRUE
  Dynamic update: FALSE
  Allow query: any;
  Allow transfer: none;


# ipa  dnsrecord-add one ARecord
Please choose a type of DNS resource record to be added
The most common types for this type of zone are: A, AAAA

DNS resource record type: A
A IP Address: 10.16.96.99
  Record name: ARecord
  A record: 10.16.96.99

# ipa dnsrecord-find one
  Record name: @
  NS record: ivanova.testrelm.com.

  Record name: ARecord
  A record: 10.16.96.99
----------------------------
Number of entries returned 2
----------------------------


# ipa dnsrecord-mod one ARecord --rename ARenameRecord
  Record name: ARenameRecord
  A record: 10.16.96.99


# ipa dnsrecord-find one
  Record name: @
  NS record: ivanova.testrelm.com.

  Record name: ARenameRecord
  A record: 10.16.96.99
----------------------------
Number of entries returned 2
----------------------------
Comment 6 errata-xmlrpc 2013-02-21 04:10:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.